List DLQ messages
GET /v1/dlq/messages
GET
/v1/dlq/messages
Retrieve messages that have permanently failed delivery (DLQ). These messages have exhausted all retry attempts and require manual intervention.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer
Maximum number of results to return
Example
100 cursor
string
Pagination cursor from previous response
Responses
Section titled “ Responses ”DLQ messages retrieved successfully
object
data
object
messages
Array<object>
object
message_id
string
Example
01935abc-def0-7123-4567-890abcdef012 endpoint
string format: uri
Example
https://customer.app/webhooks status
string
Example
succeeded attempt_count
integer
Example
1 created_at
string format: date-time
Example
2025-12-06T12:00:00Z delivered_at
string format: date-time
Example
2025-12-06T12:00:05Z response_status
integer
Example
200 response_latency_ms
integer
Example
120 last_error
string
Example
connection timeout has_more
boolean
next_cursor
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Unauthorized - Invalid or missing API key
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }} Personalize Examples
Enter your credentials to populate code examples throughout the docs.